post
https://{host}/v1.1/task/add
Creates new store task and store task entry ( that is status for each executor ). You can also set task type, title, created by, assigned to, validity, status and reminder.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Example request
curl --location 'https://eu.api.capillarytech.com/v1.1/task/add?format=json' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--header 'Cookie: _cfuvid=08EZxY9Or2B8ALQYCy2KIu2JflOvnkEE5pgDgelzkKo-1764321102770-0.0.1.1-604800000; _cfuvid=mvpc8lYYIPJgj_4atqeM5hzmEaaUv001h9ku7uOl1b4-1764322206029-0.0.1.1-604800000' \
--data '
{
"root": {
"task": [
{
"id": "98758396",
"local_id": "213124334342",
"title": "any title for this task",
"body": "description of this task",
"start_date": "2025-10-04 12:12:12",
"end_date": "2026-10-10 12:12:12",
"expiry_date": "2026-12-30 12:12:12",
"type": "MEMO",
"action": {
"type": "sms",
"template": "Hi {name}, Your points = {points}"
},
"creator": {
"type": "associate",
"id": "george.johnson0808"
},
"execute_by_all": "false",
"executable_by_type": "cashier",
"executable_by_ids": "44,33,22,54",
"possible_statuses": "OPEN,IN_PROGRESS,CLOSED",
"tags": "[“label” : “birthday task”, “priority” : “1” ]",
"reminder": [
{
"create": "true",
"time": "2026-11-24 13:35:35",
"template": "…."
}
],
"entries": {
"entry": [
{
"status": "AC"
},
{
"status": "OPEN"
}
]
}
}
]
}
}
'
